Ogre::ScriptCompiler::AbstractTreeBuilder Class Reference

List of all members.

## Public Member Functions

| AbstractTreeBuilder (ScriptCompiler *compiler)
const AbstractNodeListPtr & | getResult () const
void | visit (ConcreteNode *node)

## Static Public Member Functions

static void | visit (AbstractTreeBuilder *visitor, const ConcreteNodeList &nodes)

## Private Attributes

AbstractNodeListPtr | mNodes
AbstractNode * | mCurrent
ScriptCompiler * | mCompiler

## Detailed Description

Definition at line 297 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::ScriptCompiler::AbstractTreeBuilder::AbstractTreeBuilder | ( | ScriptCompiler * | compiler | ) |

## Member Function Documentation

const AbstractNodeListPtr& Ogre::ScriptCompiler::AbstractTreeBuilder::getResult | ( |  | ) | const

void Ogre::ScriptCompiler::AbstractTreeBuilder::visit | ( | ConcreteNode * | node | ) |

static void Ogre::ScriptCompiler::AbstractTreeBuilder::visit | ( | AbstractTreeBuilder * | visitor,
|  | const ConcreteNodeList & | nodes
| ) |  | `[static]`

## Member Data Documentation

ScriptCompiler* Ogre::ScriptCompiler::AbstractTreeBuilder::mCompiler`[private]`

Definition at line 302 of file OgreScriptCompiler.h.

AbstractNode* Ogre::ScriptCompiler::AbstractTreeBuilder::mCurrent`[private]`

Definition at line 301 of file OgreScriptCompiler.h.

AbstractNodeListPtr Ogre::ScriptCompiler::AbstractTreeBuilder::mNodes`[private]`

Definition at line 300 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:38